GNU bug report logs - #22113
Initial Reiser4 patch for Parted

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: parted; Reported by: Jose R R <jose.r.r@HIDDEN>; dated Tue, 8 Dec 2015 08:03:02 UTC; Maintainer for parted is bug-parted@HIDDEN.

Message received at 22113 <at> debbugs.gnu.org:


Received: (at 22113) by debbugs.gnu.org; 11 Dec 2015 01:29:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 10 20:29:21 2015
Received: from localhost ([127.0.0.1]:39553 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7CWP-0006VM-1O
	for submit <at> debbugs.gnu.org; Thu, 10 Dec 2015 20:29:21 -0500
Received: from mail-wm0-f48.google.com ([74.125.82.48]:35659)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <jose.r.r@HIDDEN>) id 1a7CWN-0006V8-NG
 for 22113 <at> debbugs.gnu.org; Thu, 10 Dec 2015 20:29:20 -0500
Received: by mail-wm0-f48.google.com with SMTP id u63so46758314wmu.0
 for <22113 <at> debbugs.gnu.org>; Thu, 10 Dec 2015 17:29:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=metztli-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=AA7lb1sGIIEFnuiA7XOlEdkzj1U1iBU7vTQBlX6lScs=;
 b=ike58HVBHLd47St6Huq21d1z9ZhTMCO3+ME/drc3Av59FxxkLGEDAtjwiwZagL9IVr
 nkTCwJEXO7NVnDDSyeZcz7Qq014sfQFqEMuJJddzxZCSUjxn4/LHX9jlFm6iJCgbWlAj
 N/1T3rvmVKwDQnHo7OfiSKLowuWzz9kHmnq+W+m8VzQgmhorOKoDnmAhFTW/quyhcaSd
 euHnrhaQGa/fGMuuSGHwTF5+H0obT5gibgA1A1JtvYX2/bLPNO5OUeYe8yn8iVeJs6Sn
 2DYkRulsIL8YlHP+PjzzQ8omtfF2Nmh5VCrM5VE8w44KYHaGsqWee9QRnXc/JAXhQ7dm
 Bhsw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:date:message-id:subject:from:to
 :content-type;
 bh=AA7lb1sGIIEFnuiA7XOlEdkzj1U1iBU7vTQBlX6lScs=;
 b=HCxXJ5e3RoR96KORJUhySbEXqYXTIn47ParZYyiPmWssu7kLU3u7LzfP+PGDO8LvzS
 cCUqUpgf/QMhkttGVCnL88AhZj7DLvlIE+vMMyhW9QS2WZ1lAVSfLlvTU3qZV175zAP6
 NcXnRTgGXa8Ux9u3lFgg0tGkgxFwiCqf3hZAyggTmVFnz4U6UOh65dsLNfkGtr7/BMHR
 zqeFTVhLNV5my7O4ZdfEfdo8t1o28z0mjaWPimttXis7nkDDDu5z1khjbjo3Rh1khGus
 IxYpEC0FJPClXVRq/NS+w4pBY464/NjEqa1AyzBqC+n+M2bVGInx2Q1DbViDsn2OxJ9I
 dzcQ==
X-Gm-Message-State: ALoCoQnpnd23SG56TxdW8gSuf4iQ9AV5Qvt0lDOKk1tupsxobO2ws+v8XvTGbYyxS0ny4PR4DuBY5ZFNw7JORQdu8+5aNWjHdw==
MIME-Version: 1.0
X-Received: by 10.194.110.35 with SMTP id hx3mr18830176wjb.0.1449797354260;
 Thu, 10 Dec 2015 17:29:14 -0800 (PST)
Received: by 10.28.131.135 with HTTP; Thu, 10 Dec 2015 17:29:14 -0800 (PST)
Date: Thu, 10 Dec 2015 17:29:14 -0800
Message-ID: <CAM12Q5TVo2oQDKv81HRB8ZLnWXKiV2uG=o=A4t5UxMXVi9UohA@HIDDEN>
Subject: 
From: Jose R R <jose.r.r@HIDDEN>
To: bug-parted-request@HIDDEN, 22113 <at> debbugs.gnu.org
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  confirm 400a1cabb3da9ba30c768fa4fad29348b84e1b1d [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [74.125.82.48 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [74.125.82.48 listed in wl.mailspike.net]
 0.0 TVD_SPACE_RATIO        No description available.
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: 22113
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  confirm 400a1cabb3da9ba30c768fa4fad29348b84e1b1d [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [74.125.82.48 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [74.125.82.48 listed in wl.mailspike.net]
  0.0 TVD_SPACE_RATIO        No description available.
 -0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
  2.0 BLANK_SUBJECT          Subject is present but empty

confirm 400a1cabb3da9ba30c768fa4fad29348b84e1b1d




Information forwarded to bug-parted@HIDDEN:
bug#22113; Package parted. Full text available.

Message received at 22113 <at> debbugs.gnu.org:


Received: (at 22113) by debbugs.gnu.org; 11 Dec 2015 01:16:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 10 20:16:01 2015
Received: from localhost ([127.0.0.1]:39531 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7CJN-00069z-B4
	for submit <at> debbugs.gnu.org; Thu, 10 Dec 2015 20:16:01 -0500
Received: from mail-wm0-f41.google.com ([74.125.82.41]:36248)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <jose.r.r@HIDDEN>) id 1a7CJL-00069k-Ey
 for 22113 <at> debbugs.gnu.org; Thu, 10 Dec 2015 20:15:52 -0500
Received: by mail-wm0-f41.google.com with SMTP id n186so9107905wmn.1
 for <22113 <at> debbugs.gnu.org>; Thu, 10 Dec 2015 17:15:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=metztli-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=doFiAUC1RrDP0xeuVcucf7+T3zQClX15YEFTaFy/Alo=;
 b=pje7/fAKkFzJ9JEX25oT9qsI8x2io8qyRVlFnz784jep6fY65fVfuwwufkjuhb8ejg
 pCbLufnDbQEWYK46hFDGvph2Ue8EYIsTJONJpUyKtgFwjCoiXcWajYA7xLB7qmifnipy
 Cue0nvqFKHkd3kYk7uuvNb+4ngSkq/4/HAK8IbfdeQ1zyU031hi/w77TINtFklgxkSnt
 ET7Q4ll1W5h71bMMxpUGfPWOjPjMgdBuF5Ol74fn2BhNkhHmm9FSwobdzifk97Pe1UZU
 LgWdo16rnVVBSWvLM6vBcRbstaY3Dd2qzU1hQCqkAjjOlxctazRS1RjNQv6UicoLK/IB
 3A5A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc:content-type;
 bh=doFiAUC1RrDP0xeuVcucf7+T3zQClX15YEFTaFy/Alo=;
 b=aRjz7J/H3D575qGkQswKBsASMiKQdwyWOWzP2tFj0OwZ9GeW8kX3UQLPoaLbSh7sKZ
 m2uF4jYFGUGLTS5v//zTUpfx/6lgL1/ret5JPuljIXuUB9kLC4hnSLnH1BD4YJPa3H0P
 gO7XVkj3WVzGBpmojXna1lsgZELbIYayUkMnExHVmZ06Zn0m+pb781hitbrq8BVBn0At
 rLo3wu5WlH18hKCcE0tiB3s1siCHrZA3YfMLCoOmoCuMZvKI7CTTzOe8zDNRohAMvYcc
 7H1Xx4/BR6CC6YvW8DlcXIjgkD6WNmyyUApOq7cQUG5Un1sfco2s4CYOIvv32Nb9UMF0
 gskw==
X-Gm-Message-State: ALoCoQnwGWkHLGAC8hn6Y8cyStd7R+najJi8EqbRCsu7t0uy9G3j5Md0dCwA4WO6wAWha7ijI7cTn5BdrsoaptkcPyR9Wl9jeQ==
MIME-Version: 1.0
X-Received: by 10.28.97.197 with SMTP id v188mr2369215wmb.63.1449796545703;
 Thu, 10 Dec 2015 17:15:45 -0800 (PST)
Received: by 10.28.131.135 with HTTP; Thu, 10 Dec 2015 17:15:45 -0800 (PST)
In-Reply-To: <20151210162146.GC2721@HIDDEN>
References: <CAM12Q5QDp__EAjLUEUbmyFFm1ap=uQrF2Od_S5ZBg6NnOL2ZAg@HIDDEN>
 <20151208185941.GR2772@HIDDEN>
 <CAM12Q5Tewr2RgAd_+MdoAVU73v8Lu69asPKuMMzk=ZZNJgNNiw@HIDDEN>
 <5667FBF9.70107@HIDDEN>
 <20151210162146.GC2721@HIDDEN>
Date: Thu, 10 Dec 2015 17:15:45 -0800
Message-ID: <CAM12Q5QSVfbTsQH9h6prNvWmge_YRM6zJPS=eGPa9qqKC=LA9w@HIDDEN>
Subject: Re: bug#22113: Initial Reiser4 patch for Parted
From: Jose R R <jose.r.r@HIDDEN>
To: 22113 <at> debbugs.gnu.org
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22113
Cc: Edward Shishkin <edward.shishkin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Thu, Dec 10, 2015 at 8:21 AM, Brian C. Lane <bcl@HIDDEN> wrote:
>
> On Wed, Dec 09, 2015 at 11:01:29AM +0100, Edward Shishkin wrote:
> > I wouldn't refer en.wikipedia.org/wiki/Reiser4 as "homepage":
> > this resource is completely unmoderated.
> > The actual stuff about reiser4 can be found here:
> > https://reiser4.wiki.kernel.org
>
> Thanks for the correction. I'm still not interested. I have absolutely
> no desire to see Reiser's work or name do anything but disappear into
> obscurity.

Then, for the sake of not making other potential Reiser4 contributors
lose their time -- falsely believing in the technical meritocracy of
FOSS -- I suggest that you place the above statement at the GNU Parted
site.

Last I read (< http://www.gnu.org/software/parted/ >) *before
submitting my Reiser4 patch* I could not find a notice *explicitly*
stating that Reiser4 work is not to be evaluated on its technical
merits but rather on a personal  'morality', religious fanaticism,
and/or subjective 'altruism' and/or prejudice. I even checked for the
relevant 'Reiser' string at the development site (<
http://savannah.gnu.org/projects/parted/ >) with NULL results.

Notwithstanding, selectively applying a personal subjective criteria
to Reiser4 and not, say JFS for instance, seems more of a
contradictory attitude --as code contributions from organizations with
exponentially darker backgrounds (<
http://listverse.com/2013/10/24/10-big-business-nazi-profiteers/ >)
than Reiser are included -- specifically in Parted -- without
compunction.


Best Professional Regards.

-- 
Jose R R
http://metztli.it
---------------------------------------------------------------------------------------------
Try at no charge http://b2evolution.net for http://OpenShift.com PaaS
---------------------------------------------------------------------------------------------
from our GitHub http://Nepohualtzintzin.com repository. Cloud the easy way!




Information forwarded to bug-parted@HIDDEN:
bug#22113; Package parted. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Dec 2015 16:22:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 10 11:22:06 2015
Received: from localhost ([127.0.0.1]:39270 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a73yn-0000TZ-OB
	for submit <at> debbugs.gnu.org; Thu, 10 Dec 2015 11:22:05 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58292)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <bcl@HIDDEN>) id 1a73yl-0000T4-0U
 for submit <at> debbugs.gnu.org; Thu, 10 Dec 2015 11:22:03 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1a73yf-0005CG-2M
 for submit <at> debbugs.gnu.org; Thu, 10 Dec 2015 11:21:57 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34070)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1a73yf-0005CC-0I
 for submit <at> debbugs.gnu.org; Thu, 10 Dec 2015 11:21:57 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:40034)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1a73yb-0005wf-4V
 for bug-parted@HIDDEN; Thu, 10 Dec 2015 11:21:56 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1a73yX-0005Aa-4z
 for bug-parted@HIDDEN; Thu, 10 Dec 2015 11:21:53 -0500
Received: from mx1.redhat.com ([209.132.183.28]:60985)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1a73yW-0005AN-VM
 for bug-parted@HIDDEN; Thu, 10 Dec 2015 11:21:49 -0500
Received: from int-mx14.intmail.prod.int.phx2.redhat.com
 (int-mx14.intmail.prod.int.phx2.redhat.com [10.5.11.27])
 by mx1.redhat.com (Postfix) with ESMTPS id 1C20B5A088
 for <bug-parted@HIDDEN>; Thu, 10 Dec 2015 16:21:48 +0000 (UTC)
Received: from lister.brianlane.com (ovpn-113-67.phx2.redhat.com [10.3.113.67])
 by int-mx14.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP id
 tBAGLkfY028271
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO)
 for <bug-parted@HIDDEN>; Thu, 10 Dec 2015 11:21:47 -0500
Date: Thu, 10 Dec 2015 08:21:46 -0800
From: "Brian C. Lane" <bcl@HIDDEN>
To: bug-parted@HIDDEN
Subject: Re: bug#22113: Initial Reiser4 patch for Parted
Message-ID: <20151210162146.GC2721@HIDDEN>
References: <CAM12Q5QDp__EAjLUEUbmyFFm1ap=uQrF2Od_S5ZBg6NnOL2ZAg@HIDDEN>
 <20151208185941.GR2772@HIDDEN>
 <CAM12Q5Tewr2RgAd_+MdoAVU73v8Lu69asPKuMMzk=ZZNJgNNiw@HIDDEN>
 <5667FBF9.70107@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <5667FBF9.70107@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.27
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

On Wed, Dec 09, 2015 at 11:01:29AM +0100, Edward Shishkin wrote:
> I wouldn't refer en.wikipedia.org/wiki/Reiser4 as "homepage":
> this resource is completely unmoderated.
> The actual stuff about reiser4 can be found here:
> https://reiser4.wiki.kernel.org

Thanks for the correction. I'm still not interested. I have absolutely
no desire to see Reiser's work or name do anything but disappear into
obscurity.

-- 
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)




Information forwarded to bug-parted@HIDDEN:
bug#22113; Package parted. Full text available.

Message received at 22113 <at> debbugs.gnu.org:


Received: (at 22113) by debbugs.gnu.org; 10 Dec 2015 01:32:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 09 20:32:23 2015
Received: from localhost ([127.0.0.1]:38431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6q5i-0001jL-6a
	for submit <at> debbugs.gnu.org; Wed, 09 Dec 2015 20:32:23 -0500
Received: from mail-wm0-f68.google.com ([74.125.82.68]:34071)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <jose.r.r@HIDDEN>) id 1a6q5d-0001j5-JF
 for 22113 <at> debbugs.gnu.org; Wed, 09 Dec 2015 20:32:17 -0500
Received: by wmww144 with SMTP id w144so867620wmw.1
 for <22113 <at> debbugs.gnu.org>; Wed, 09 Dec 2015 17:32:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=metztli-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :cc:content-type;
 bh=9uwvr1ITZTIykwCOaXq/5Yg9Oim7XYCwyiDDlL4QtN0=;
 b=V9T1/zfi8+IvZtKCtFBe5xV1/jvcukynKy8qiWJwjTjHlKbpSOASpnVe9E1IHNs5t8
 a9oYOKPETrRPEYIpsUSgfVZHosbbScK0p6nOhtklhH8QJ31nO0Bfi8lvS8SPN6sgmnnK
 39pUD/JxzaVo8B+32KT2nxlA+zxyV3YbSdwp+IJGfItpSBEXWwfPuf3e6VKlsflZQidf
 9ImJ2dggBQ8LzqODzjI5IyUUlzvkoVobTalj0UEw7cAirNKX6qc5EcmHsOo0h5flJjij
 pgFIi2XQvOJ5MA+9+powOj5OUKS45rBhraHLrAplz0I6rxmdw1ZPTRpEJfo1WJJFNnzS
 k22A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:in-reply-to:references:date
 :message-id:subject:from:to:cc:content-type;
 bh=9uwvr1ITZTIykwCOaXq/5Yg9Oim7XYCwyiDDlL4QtN0=;
 b=RNLlzGXH0MArM69+Byn1qi5VD+gnmxrq3N2uhm2utQtzDdlb5x23GEKEgUWyHQ9Hjo
 3WhiMIJnEAI7fQORMMgGlM4mgkKzGRsRM2Me4t8ARKFTHvuIekp5gVHkToUBIwzR1SAt
 RzNT8o6vuUKLRX7B65Kv36eFZ3JpJS9JMqrz+eH+8IKJKL+ZH/YJ4L4OC8cK5yOjz7uu
 y6QQ33yjrGJJBP9dF/Tl8yyIPBFneu7agCrOi6Uf5PAikzmsUC9AP06eosuGywuBLK7I
 VYNklmiL9vIFRZy2nV4MeoepaTIfXdYStjaSuf5jFTrfuigkvbUcWkvIRSsswx/QCCXf
 Pblw==
X-Gm-Message-State: ALoCoQnc0nDJCGlu5jiaQWkybYZojqXc+ZlWM4ZHUWsZB596CSXMo3z9nuekyawCWjB3Kpaz45mTndB/P2WzkWPcJ0d3/j5auQ==
MIME-Version: 1.0
X-Received: by 10.194.202.163 with SMTP id kj3mr3127671wjc.93.1449634601597;
 Tue, 08 Dec 2015 20:16:41 -0800 (PST)
Received: by 10.28.131.135 with HTTP; Tue, 8 Dec 2015 20:16:41 -0800 (PST)
In-Reply-To: <20151208185941.GR2772@HIDDEN>
References: <CAM12Q5QDp__EAjLUEUbmyFFm1ap=uQrF2Od_S5ZBg6NnOL2ZAg@HIDDEN>
 <20151208185941.GR2772@HIDDEN>
Date: Tue, 8 Dec 2015 20:16:41 -0800
Message-ID: <CAM12Q5Tewr2RgAd_+MdoAVU73v8Lu69asPKuMMzk=ZZNJgNNiw@HIDDEN>
Subject: Re: bug#22113: Initial Reiser4 patch for Parted
From: Jose R R <jose.r.r@HIDDEN>
To: 22113 <at> debbugs.gnu.org
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 22113
Cc: Edward Shishkin <edward.shishkin@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.1 (/)

On Tue, Dec 8, 2015 at 10:59 AM, Brian C. Lane <bcl@HIDDEN> wrote:
> On Tue, Dec 08, 2015 at 12:00:24AM -0800, Jose R R wrote:
>> 'patch against git://git.sv.gnu.org/parted.git master that adds the
>> ability to detect existing reiser4 partitions'
>>
>> --
>> Jose R R
>> http://metztli.it
>> ---------------------------------------------------------------------------------------------
>> Try at no charge http://b2evolution.net for http://OpenShift.com PaaS
>> ---------------------------------------------------------------------------------------------
>> from our GitHub http://Nepohualtzintzin.com repository. Cloud the easy way!
>
> Nak. As far as I can tell this fs isn't going anywhere, nor should it
> IMO.
>
> https://en.wikipedia.org/wiki/Reiser4
>
>
> --
> Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)
>
>
>

"Reiser4 is probably even more usable and stable than Btrfs at this point."
(June 19, 2015)
< https://twitter.com/marisa_desu/status/611795618588139520 >

If we are going to base decision on Wiki* hearsay, of course.

Reiser4 has been updated to 4.0.1 and Linux kernel 4.3

< http://sourceforge.net/projects/reiser4/ >


Best Professional Regards.

-- 
Jose R R
http://metztli.it
---------------------------------------------------------------------------------------------
Try at no charge http://b2evolution.net for http://OpenShift.com PaaS
---------------------------------------------------------------------------------------------
from our GitHub http://Nepohualtzintzin.com repository. Cloud the easy way!




Information forwarded to bug-parted@HIDDEN:
bug#22113; Package parted. Full text available.

Message received at 22113 <at> debbugs.gnu.org:


Received: (at 22113) by debbugs.gnu.org; 9 Dec 2015 21:15:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 09 16:15:04 2015
Received: from localhost ([127.0.0.1]:38143 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6m4m-0002At-7F
	for submit <at> debbugs.gnu.org; Wed, 09 Dec 2015 16:15:04 -0500
Received: from mail-wm0-f44.google.com ([74.125.82.44]:35509)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <edward.shishkin@HIDDEN>) id 1a6m3y-00028q-Bt
 for 22113 <at> debbugs.gnu.org; Wed, 09 Dec 2015 16:14:15 -0500
Received: by wmuu63 with SMTP id u63so240020760wmu.0
 for <22113 <at> debbugs.gnu.org>; Wed, 09 Dec 2015 13:14:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=subject:to:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-type:content-transfer-encoding;
 bh=S7aoan51/aRMCj20ssoYegIHNi83Gws86Fkd9vFcF2M=;
 b=mZBj80RzwYy31L3jY7hMXu9IJvwZG5RUqzh6Wxws6nvUAgh+cRaLO2tiPxc9tjVYzN
 0s5IOmarXKay+ItDNYWer2v552ER22uuZdBuAfG5JqpGY0M6RnTrHDsxBq6FjcpJEzwS
 oxwojDdTtKTM3avmQmWL1/7U8pWuvm4K561495P4F5hj3szxhiOSSnJT9kyiEhPSpa0w
 kb+3ZH5c/5LXsmODkpqTKQWVGV6MSidxmnuvyEsGWttOixkdBCXSFkiCU3kEMI0yEwLF
 a+07nj26xgWR+NOAHrmOVJNX6b2hTO4n7YrdMv8o9rVJ8KrxOB9N3BJXEUbK+BRGRENk
 yLBg==
X-Received: by 10.28.226.11 with SMTP id z11mr10464837wmg.56.1449655291067;
 Wed, 09 Dec 2015 02:01:31 -0800 (PST)
Received: from zeta.huawei.com ([217.111.50.162])
 by smtp.googlemail.com with ESMTPSA id c194sm7311937wmd.13.2015.12.09.02.01.30
 (version=TLSv1/SSLv3 cipher=OTHER);
 Wed, 09 Dec 2015 02:01:30 -0800 (PST)
Subject: Re: bug#22113: Initial Reiser4 patch for Parted
To: Jose R R <jose.r.r@HIDDEN>, 22113 <at> debbugs.gnu.org
References: <CAM12Q5QDp__EAjLUEUbmyFFm1ap=uQrF2Od_S5ZBg6NnOL2ZAg@HIDDEN>
 <20151208185941.GR2772@HIDDEN>
 <CAM12Q5Tewr2RgAd_+MdoAVU73v8Lu69asPKuMMzk=ZZNJgNNiw@HIDDEN>
From: Edward Shishkin <edward.shishkin@HIDDEN>
Message-ID: <5667FBF9.70107@HIDDEN>
Date: Wed, 9 Dec 2015 11:01:29 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.1.0
MIME-Version: 1.0
In-Reply-To: <CAM12Q5Tewr2RgAd_+MdoAVU73v8Lu69asPKuMMzk=ZZNJgNNiw@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22113
X-Mailman-Approved-At: Wed, 09 Dec 2015 16:15:03 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

I wouldn't refer en.wikipedia.org/wiki/Reiser4 as "homepage":
this resource is completely unmoderated.
The actual stuff about reiser4 can be found here:
https://reiser4.wiki.kernel.org

Thanks,
Edward.

On 12/09/2015 05:16 AM, Jose R R wrote:
> On Tue, Dec 8, 2015 at 10:59 AM, Brian C. Lane <bcl@HIDDEN> wrote:
>> On Tue, Dec 08, 2015 at 12:00:24AM -0800, Jose R R wrote:
>>> 'patch against git://git.sv.gnu.org/parted.git master that adds the
>>> ability to detect existing reiser4 partitions'
>>>
>>> --
>>> Jose R R
>>> http://metztli.it
>>> ---------------------------------------------------------------------------------------------
>>> Try at no charge http://b2evolution.net for http://OpenShift.com PaaS
>>> ---------------------------------------------------------------------------------------------
>>> from our GitHub http://Nepohualtzintzin.com repository. Cloud the easy way!
>> Nak. As far as I can tell this fs isn't going anywhere, nor should it
>> IMO.
>>
>> https://en.wikipedia.org/wiki/Reiser4
>>
>>
>> --
>> Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)
>>
>>
>>
> "Reiser4 is probably even more usable and stable than Btrfs at this point."
> (June 19, 2015)
> < https://twitter.com/marisa_desu/status/611795618588139520 >
>
> If we are going to base decision on Wiki* hearsay, of course.
>
> Reiser4 has been updated to 4.0.1 and Linux kernel 4.3
>
> < http://sourceforge.net/projects/reiser4/ >
>
>
> Best Professional Regards.
>





Information forwarded to bug-parted@HIDDEN:
bug#22113; Package parted. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Dec 2015 18:59:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 13:59:57 2015
Received: from localhost ([127.0.0.1]:43635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6NUS-00048p-S6
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 13:59:57 -0500
Received: from eggs.gnu.org ([208.118.235.92]:55359)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <bcl@HIDDEN>) id 1a6NUQ-00048h-Fb
 for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 13:59:54 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1a6NUP-0007pd-Az
 for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 13:59:54 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38375)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1a6NUP-0007pX-8E
 for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 13:59:53 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37077)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1a6NUK-0001jG-3t
 for bug-parted@HIDDEN; Tue, 08 Dec 2015 13:59:53 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1a6NUG-0007jD-9i
 for bug-parted@HIDDEN; Tue, 08 Dec 2015 13:59:48 -0500
Received: from mx1.redhat.com ([209.132.183.28]:38499)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <bcl@HIDDEN>) id 1a6NUG-0007ih-4k
 for bug-parted@HIDDEN; Tue, 08 Dec 2015 13:59:44 -0500
Received: from int-mx14.intmail.prod.int.phx2.redhat.com
 (int-mx14.intmail.prod.int.phx2.redhat.com [10.5.11.27])
 by mx1.redhat.com (Postfix) with ESMTPS id 142B1C001254
 for <bug-parted@HIDDEN>; Tue,  8 Dec 2015 18:59:43 +0000 (UTC)
Received: from lister.brianlane.com (ovpn-113-201.phx2.redhat.com
 [10.3.113.201])
 by int-mx14.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP id
 tB8Ixf1q022490
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=NO)
 for <bug-parted@HIDDEN>; Tue, 8 Dec 2015 13:59:42 -0500
Date: Tue, 8 Dec 2015 10:59:41 -0800
From: "Brian C. Lane" <bcl@HIDDEN>
To: bug-parted@HIDDEN
Subject: Re: bug#22113: Initial Reiser4 patch for Parted
Message-ID: <20151208185941.GR2772@HIDDEN>
References: <CAM12Q5QDp__EAjLUEUbmyFFm1ap=uQrF2Od_S5ZBg6NnOL2ZAg@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAM12Q5QDp__EAjLUEUbmyFFm1ap=uQrF2Od_S5ZBg6NnOL2ZAg@HIDDEN>
User-Agent: Mutt/1.5.24 (2015-08-30)
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.27
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

On Tue, Dec 08, 2015 at 12:00:24AM -0800, Jose R R wrote:
> 'patch against git://git.sv.gnu.org/parted.git master that adds the
> ability to detect existing reiser4 partitions'
> 
> -- 
> Jose R R
> http://metztli.it
> ---------------------------------------------------------------------------------------------
> Try at no charge http://b2evolution.net for http://OpenShift.com PaaS
> ---------------------------------------------------------------------------------------------
> from our GitHub http://Nepohualtzintzin.com repository. Cloud the easy way!

Nak. As far as I can tell this fs isn't going anywhere, nor should it
IMO.

https://en.wikipedia.org/wiki/Reiser4


-- 
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)




Information forwarded to bug-parted@HIDDEN:
bug#22113; Package parted. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Dec 2015 08:02:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 03:02:29 2015
Received: from localhost ([127.0.0.1]:42292 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6DEC-0008MR-GG
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 03:02:28 -0500
Received: from eggs.gnu.org ([208.118.235.92]:57088)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jose.r.r@HIDDEN>) id 1a6DCI-0008JG-GR
 for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 03:00:31 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jose.r.r@HIDDEN>) id 1a6DCH-0007gG-1n
 for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 03:00:30 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,HTML_MESSAGE,
 HTML_OBFUSCATE_05_10,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55460)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jose.r.r@HIDDEN>) id 1a6DCG-0007gC-VR
 for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 03:00:28 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38860)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jose.r.r@HIDDEN>) id 1a6DCF-0003Gt-7l
 for bug-parted@HIDDEN; Tue, 08 Dec 2015 03:00:28 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jose.r.r@HIDDEN>) id 1a6DCE-0007g0-8B
 for bug-parted@HIDDEN; Tue, 08 Dec 2015 03:00:27 -0500
Received: from mail-wm0-x232.google.com ([2a00:1450:400c:c09::232]:37215)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jose.r.r@HIDDEN>) id 1a6DCD-0007f3-OK
 for bug-parted@HIDDEN; Tue, 08 Dec 2015 03:00:25 -0500
Received: by wmww144 with SMTP id w144so18959857wmw.0
 for <bug-parted@HIDDEN>; Tue, 08 Dec 2015 00:00:24 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=metztli-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:date:message-id:subject:from:to:cc:content-type;
 bh=osBFszDXtX08N2ar0AOtQ9dAszknXIAO+uXxnIi2Mgk=;
 b=2S1ud6Dv0pTsal72v735PgD1C3aW3X+Tj5oxudjt9bg+IGYpJuC/MhM2Ja+jOKaQoF
 oVxYbMzvVku7mV3NkS58/l395juFb7EvruiQGyz4ReYi8R4+5BvCLAbI0Ym1ofECBmAB
 CoEGPeB+9ueHC28STVkeS8dFn2j1esozK6KEhxP+/kFy1YfSkhdRFx2EpH6gXupm6LqU
 lQZnb1yNrz3TNmmPLDnQVMl1IqEk6paHQeqREqpONAQAZrZosjyg1lP08ZvsAL9+qXeP
 8sO3TRJ8cWFOFnalGVA/DA+nlMR5j6x7uJU3JkYz7JegeJeR79sqdEvZ3lJv7nAAlpg7
 1uPA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:date:message-id:subject:from:to:cc
 :content-type;
 bh=osBFszDXtX08N2ar0AOtQ9dAszknXIAO+uXxnIi2Mgk=;
 b=cYBpZ3HCg64h1NgBQ7a9DePFwKLCJGHwr1zyXytD9Ghjw36MyAnU+cLgFXqvuB7eF5
 c1yB3r5DdbLnDnTkw4aDOGYbozM0lbymrBOyMVMGNE7zkiUTG9WHC//qP86X4eFnEsKu
 J+hFMU8MenAwJ3hg9zOLkLOTdM/pXLuT+sR7w/HYTpS8Kofm3kxq65Ma169pZ5s1l16t
 OW8VWdYBHXaqr4PrZ3gSqucLhlN4MI6tO6QT7JfpGZy4F5zpUWi9NYD1WjXRn75ng4Pv
 rmAv1hrvEwi6YHloJXBZKl8/J7xFUyUbj3CHAB43ftS4vUDsFbVn23JLy3F7ubsY7IUY
 jryw==
X-Gm-Message-State: ALoCoQmI3W8J2QuY++/f4LD3ObJ2hlGHL+Rw1JHydtBbAOLbswDBrAFo3Mz9lzG0uX8PHFv80Q/OoLXtP1sOmRCgZYCgYQ7O6Q==
MIME-Version: 1.0
X-Received: by 10.28.127.200 with SMTP id a191mr3108158wmd.27.1449561624597;
 Tue, 08 Dec 2015 00:00:24 -0800 (PST)
Received: by 10.28.131.135 with HTTP; Tue, 8 Dec 2015 00:00:24 -0800 (PST)
Date: Tue, 8 Dec 2015 00:00:24 -0800
Message-ID: <CAM12Q5QDp__EAjLUEUbmyFFm1ap=uQrF2Od_S5ZBg6NnOL2ZAg@HIDDEN>
Subject: Initial Reiser4 patch for Parted
From: Jose R R <jose.r.r@HIDDEN>
To: bug-parted@HIDDEN
Content-Type: multipart/mixed; boundary=001a11422968b781bc05265e5de9
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 08 Dec 2015 03:02:27 -0500
Cc: ReiserFS Development List <reiserfs-devel@HIDDEN>,
 cjwatson@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--001a11422968b781bc05265e5de9
Content-Type: multipart/alternative; boundary=001a11422968b781b505265e5de7

--001a11422968b781b505265e5de7
Content-Type: text/plain; charset=UTF-8

'patch against git://git.sv.gnu.org/parted.git master that adds the
ability to detect existing reiser4 partitions'

-- 
Jose R R
http://metztli.it
---------------------------------------------------------------------------------------------
Try at no charge http://b2evolution.net for http://OpenShift.com PaaS
---------------------------------------------------------------------------------------------
from our GitHub http://Nepohualtzintzin.com repository. Cloud the easy way!

--001a11422968b781b505265e5de7
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><span style=3D"font-size:13px">&#39;patch against git://</=
span><a href=3D"http://git.sv.gnu.org/parted.git" rel=3D"noreferrer" target=
=3D"_blank" style=3D"font-size:13px">git.sv.gnu.org/parted.git</a><span sty=
le=3D"font-size:13px">=C2=A0master that adds the</span><br style=3D"font-si=
ze:13px"><span style=3D"font-size:13px">ability to detect existing=C2=A0</s=
pan><span class=3D"" style=3D"font-size:13px">reiser4</span><span style=3D"=
font-size:13px">=C2=A0partitions&#39;</span><br><br>-- <br>Jose R R<br><a h=
ref=3D"http://metztli.it">http://metztli.it</a><br>------------------------=
---------------------------------------------------------------------<br>Tr=
y at no charge <a href=3D"http://b2evolution.net">http://b2evolution.net</a=
> for <a href=3D"http://OpenShift.com">http://OpenShift.com</a> PaaS<br>---=
---------------------------------------------------------------------------=
---------------<br>from our GitHub <a href=3D"http://Nepohualtzintzin.com">=
http://Nepohualtzintzin.com</a> repository. Cloud the easy way!<br></div>

--001a11422968b781b505265e5de7--
--001a11422968b781bc05265e5de9
Content-Type: application/octet-stream; 
	name="0001-Initial-Reiser4-support-based-on-Bart-Hakvoort-2004-.patch"
Content-Disposition: attachment; 
	filename="0001-Initial-Reiser4-support-based-on-Bart-Hakvoort-2004-.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_ihx3az900

RnJvbSBlOTcxYmE4MzQyZDhmZGE0YmNlMTkxODkyMGM3YzhjNjJjODFlNTQ5IE1vbiBTZXAgMTcg
MDA6MDA6MDAgMjAwMQpGcm9tOiBNZXR6dGxpIDxqb3NlLnJvZHJpZ3VlekBtZXR6dGxpLWl0LmNv
bT4KRGF0ZTogTW9uLCA3IERlYyAyMDE1IDA0OjA3OjI2IC0wODAwClN1YmplY3Q6IFtQQVRDSF0g
SW5pdGlhbCBSZWlzZXI0IHN1cHBvcnQgYmFzZWQgb24gQmFydCBIYWt2b29ydCAyMDA0IHdvcmsu
CgotLS0KIGxpYnBhcnRlZC9NYWtlZmlsZS5hbSAgICAgICAgICB8ICAxICsKIGxpYnBhcnRlZC9m
cy9NYWtlZmlsZS5hbSAgICAgICB8ICAzICsrCiBsaWJwYXJ0ZWQvZnMvcmVpc2VyNC9yZWlzZXI0
LmMgfCA3MSArKysrKysrKysrKysrKysrKysrKysrKysrKysrKysrKysrKysrKysrKysKIGxpYnBh
cnRlZC9saWJwYXJ0ZWQuYyAgICAgICAgICB8ICA0ICsrKwogNCBmaWxlcyBjaGFuZ2VkLCA3OSBp
bnNlcnRpb25zKCspCiBjcmVhdGUgbW9kZSAxMDA2NDQgbGlicGFydGVkL2ZzL3JlaXNlcjQvcmVp
c2VyNC5jCgpkaWZmIC0tZ2l0IGEvbGlicGFydGVkL01ha2VmaWxlLmFtIGIvbGlicGFydGVkL01h
a2VmaWxlLmFtCmluZGV4IGNiNTg2NDguLjQ5NzA5ZGMgMTAwNjQ0Ci0tLSBhL2xpYnBhcnRlZC9N
YWtlZmlsZS5hbQorKysgYi9saWJwYXJ0ZWQvTWFrZWZpbGUuYW0KQEAgLTMsNiArMyw3IEBACiAj
CiAjIFRoaXMgZmlsZSBtYXkgYmUgbW9kaWZpZWQgYW5kL29yIGRpc3RyaWJ1dGVkIHdpdGhvdXQg
cmVzdHJpY3Rpb24uCiAKK0FVVE9NQUtFX09QVElPTlMgPSBzdWJkaXItb2JqZWN0cwogU1VCRElS
U19DSEVDSyA9CiBpZiBIQVZFX0NIRUNLCiBTVUJESVJTX0NIRUNLICs9IHRlc3RzCmRpZmYgLS1n
aXQgYS9saWJwYXJ0ZWQvZnMvTWFrZWZpbGUuYW0gYi9saWJwYXJ0ZWQvZnMvTWFrZWZpbGUuYW0K
aW5kZXggZDNjYzhiYy4uM2Q2ZDMyNSAxMDA2NDQKLS0tIGEvbGlicGFydGVkL2ZzL01ha2VmaWxl
LmFtCisrKyBiL2xpYnBhcnRlZC9mcy9NYWtlZmlsZS5hbQpAQCAtMyw2ICszLDggQEAKICMKICMg
VGhpcyBmaWxlIG1heSBiZSBtb2RpZmllZCBhbmQvb3IgZGlzdHJpYnV0ZWQgd2l0aG91dCByZXN0
cmljdGlvbi4KIAorQVVUT01BS0VfT1BUSU9OUyA9IHN1YmRpci1vYmplY3RzCisKIHBhcnRlZGlu
Y2x1ZGVkaXIgPSAtSSQodG9wX2J1aWxkZGlyKS9pbmNsdWRlIC1JJCh0b3Bfc3JjZGlyKS9pbmNs
dWRlCiAKIEFNX0NGTEFHUyA9ICQoV0FSTl9DRkxBR1MpCkBAIC00NCw2ICs0Niw3IEBAIGxpYmZz
X2xhX1NPVVJDRVMgPQkJXAogICBudGZzL250ZnMuYwkJCVwKICAgcmVpc2VyZnMvcmVpc2VyZnMu
YwkJXAogICByZWlzZXJmcy9yZWlzZXJmcy5oCQlcCisgIHJlaXNlcjQvcmVpc2VyNC5jCQlcCiAg
IHVmcy91ZnMuYwkJCVwKICAgeGZzL3BsYXRmb3JtX2RlZnMuaAkJXAogICB4ZnMveGZzLmMJCQlc
CmRpZmYgLS1naXQgYS9saWJwYXJ0ZWQvZnMvcmVpc2VyNC9yZWlzZXI0LmMgYi9saWJwYXJ0ZWQv
ZnMvcmVpc2VyNC9yZWlzZXI0LmMKbmV3IGZpbGUgbW9kZSAxMDA2NDQKaW5kZXggMDAwMDAwMC4u
MGE4NmUwYwotLS0gL2Rldi9udWxsCisrKyBiL2xpYnBhcnRlZC9mcy9yZWlzZXI0L3JlaXNlcjQu
YwpAQCAtMCwwICsxLDcxIEBACisvKgorICAgIGxpYnBhcnRlZCAtIGEgbGlicmFyeSBmb3IgbWFu
aXB1bGF0aW5nIGRpc2sgcGFydGl0aW9ucworICAgIENvcHlyaWdodCAoQykgMjAwMCBGcmVlIFNv
ZnR3YXJlIEZvdW5kYXRpb24sIEluYy4KKworICAgIFRoaXMgcHJvZ3JhbSBpcyBmcmVlIHNvZnR3
YXJlOyB5b3UgY2FuIHJlZGlzdHJpYnV0ZSBpdCBhbmQvb3IgbW9kaWZ5CisgICAgaXQgdW5kZXIg
dGhlIHRlcm1zIG9mIHRoZSBHTlUgR2VuZXJhbCBQdWJsaWMgTGljZW5zZSBhcyBwdWJsaXNoZWQg
YnkKKyAgICB0aGUgRnJlZSBTb2Z0d2FyZSBGb3VuZGF0aW9uOyBlaXRoZXIgdmVyc2lvbiAyIG9m
IHRoZSBMaWNlbnNlLCBvcgorICAgIChhdCB5b3VyIG9wdGlvbikgYW55IGxhdGVyIHZlcnNpb24u
CisKKyAgICBUaGlzIHByb2dyYW0gaXMgZGlzdHJpYnV0ZWQgaW4gdGhlIGhvcGUgdGhhdCBpdCB3
aWxsIGJlIHVzZWZ1bCwKKyAgICBidXQgV0lUSE9VVCBBTlkgV0FSUkFOVFk7IHdpdGhvdXQgZXZl
biB0aGUgaW1wbGllZCB3YXJyYW50eSBvZgorICAgIE1FUkNIQU5UQUJJTElUWSBvciBGSVRORVNT
IEZPUiBBIFBBUlRJQ1VMQVIgUFVSUE9TRS4gIFNlZSB0aGUKKyAgICBHTlUgR2VuZXJhbCBQdWJs
aWMgTGljZW5zZSBmb3IgbW9yZSBkZXRhaWxzLgorCisgICAgWW91IHNob3VsZCBoYXZlIHJlY2Vp
dmVkIGEgY29weSBvZiB0aGUgR05VIEdlbmVyYWwgUHVibGljIExpY2Vuc2UKKyAgICBhbG9uZyB3
aXRoIHRoaXMgcHJvZ3JhbTsgaWYgbm90LCB3cml0ZSB0byB0aGUgRnJlZSBTb2Z0d2FyZQorICAg
IEZvdW5kYXRpb24sIEluYy4sIDU5IFRlbXBsZSBQbGFjZSwgU3VpdGUgMzMwLCBCb3N0b24sIE1B
ICAwMjExMS0xMzA3ICBVU0EKKyovCisKKyNpbmNsdWRlIDxjb25maWcuaD4KKworI2luY2x1ZGUg
PHBhcnRlZC9wYXJ0ZWQuaD4KKyNpbmNsdWRlIDxwYXJ0ZWQvZW5kaWFuLmg+CisKKyNpZiBFTkFC
TEVfTkxTCisjICBpbmNsdWRlIDxsaWJpbnRsLmg+CisjICBkZWZpbmUgXyhTdHJpbmcpIGRnZXR0
ZXh0IChQQUNLQUdFLCBTdHJpbmcpCisjZWxzZQorIyAgZGVmaW5lIF8oU3RyaW5nKSAoU3RyaW5n
KQorI2VuZGlmIC8qIEVOQUJMRV9OTFMgKi8KKworI2luY2x1ZGUgPHVuaXN0ZC5oPgorI2luY2x1
ZGUgPHN0cmluZy5oPgorCitzdGF0aWMgUGVkR2VvbWV0cnkqCityZWlzZXI0X3Byb2JlIChQZWRH
ZW9tZXRyeSogZ2VvbSkKK3sKKwljaGFyCWJ1Zls1MTJdOworCisJaWYgKCFwZWRfZ2VvbWV0cnlf
cmVhZCAoZ2VvbSwgYnVmLCAxMjgsIDEpKQorCQlyZXR1cm4gMDsJCisJCisJaWYgKCBzdHJjbXAo
IGJ1ZiwgIlJlSXNFcjQiICkgPT0gMCApCisJCXJldHVybiBwZWRfZ2VvbWV0cnlfZHVwbGljYXRl
KCBnZW9tICkgOworCisJZWxzZQorCQlyZXR1cm4gTlVMTDsKK30KKworc3RhdGljIFBlZEZpbGVT
eXN0ZW1PcHMgcmVpc2VyNF9vcHMgPSB7CisJcHJvYmU6CQlyZWlzZXI0X3Byb2JlLAorfTsKKwor
c3RhdGljIFBlZEZpbGVTeXN0ZW1UeXBlIHJlaXNlcjRfdHlwZSA9IHsKKwluZXh0OglOVUxMLAor
CW9wczoJJnJlaXNlcjRfb3BzLAorCW5hbWU6CSJyZWlzZXI0IgorfTsKKwordm9pZAorcGVkX2Zp
bGVfc3lzdGVtX3JlaXNlcjRfaW5pdCAoKQoreworCXBlZF9maWxlX3N5c3RlbV90eXBlX3JlZ2lz
dGVyICgmcmVpc2VyNF90eXBlKTsKK30KKwordm9pZAorcGVkX2ZpbGVfc3lzdGVtX3JlaXNlcjRf
ZG9uZSAoKQoreworCXBlZF9maWxlX3N5c3RlbV90eXBlX3VucmVnaXN0ZXIgKCZyZWlzZXI0X3R5
cGUpOworfQorCmRpZmYgLS1naXQgYS9saWJwYXJ0ZWQvbGlicGFydGVkLmMgYi9saWJwYXJ0ZWQv
bGlicGFydGVkLmMKaW5kZXggZDVjYmIzYS4uODI5MWIxZCAxMDA2NDQKLS0tIGEvbGlicGFydGVk
L2xpYnBhcnRlZC5jCisrKyBiL2xpYnBhcnRlZC9saWJwYXJ0ZWQuYwpAQCAtMTA4LDYgKzEwOCw3
IEBAIGV4dGVybiB2b2lkIHBlZF9maWxlX3N5c3RlbV9qZnNfaW5pdCAodm9pZCk7CiBleHRlcm4g
dm9pZCBwZWRfZmlsZV9zeXN0ZW1faGZzX2luaXQgKHZvaWQpOwogZXh0ZXJuIHZvaWQgcGVkX2Zp
bGVfc3lzdGVtX2ZhdF9pbml0ICh2b2lkKTsKIGV4dGVybiB2b2lkIHBlZF9maWxlX3N5c3RlbV9l
eHQyX2luaXQgKHZvaWQpOworZXh0ZXJuIHZvaWQgcGVkX2ZpbGVfc3lzdGVtX3JlaXNlcjRfaW5p
dCAodm9pZCk7CiBleHRlcm4gdm9pZCBwZWRfZmlsZV9zeXN0ZW1fbmlsZnMyX2luaXQgKHZvaWQp
OwogZXh0ZXJuIHZvaWQgcGVkX2ZpbGVfc3lzdGVtX2J0cmZzX2luaXQgKHZvaWQpOwogCkBAIC0x
MjQsNiArMTI1LDcgQEAgaW5pdF9maWxlX3N5c3RlbV90eXBlcyAoKQogCXBlZF9maWxlX3N5c3Rl
bV9oZnNfaW5pdCAoKTsKIAlwZWRfZmlsZV9zeXN0ZW1fZmF0X2luaXQgKCk7CiAJcGVkX2ZpbGVf
c3lzdGVtX2V4dDJfaW5pdCAoKTsKKwlwZWRfZmlsZV9zeXN0ZW1fcmVpc2VyNF9pbml0ICgpOwog
CXBlZF9maWxlX3N5c3RlbV9uaWxmczJfaW5pdCAoKTsKIAlwZWRfZmlsZV9zeXN0ZW1fYnRyZnNf
aW5pdCAoKTsKIH0KQEAgLTE4Nyw2ICsxODksNyBAQCBleHRlcm4gdm9pZCBwZWRfZmlsZV9zeXN0
ZW1fbnRmc19kb25lICh2b2lkKTsKIGV4dGVybiB2b2lkIHBlZF9maWxlX3N5c3RlbV9yZWlzZXJm
c19kb25lICh2b2lkKTsKIGV4dGVybiB2b2lkIHBlZF9maWxlX3N5c3RlbV91ZnNfZG9uZSAodm9p
ZCk7CiBleHRlcm4gdm9pZCBwZWRfZmlsZV9zeXN0ZW1feGZzX2RvbmUgKHZvaWQpOworZXh0ZXJu
IHZvaWQgcGVkX2ZpbGVfc3lzdGVtX3JlaXNlcjRfZG9uZSAodm9pZCk7CiBleHRlcm4gdm9pZCBw
ZWRfZmlsZV9zeXN0ZW1fYW1pZ2FfZG9uZSAodm9pZCk7CiBleHRlcm4gdm9pZCBwZWRfZmlsZV9z
eXN0ZW1fYnRyZnNfZG9uZSAodm9pZCk7CiAKQEAgLTIwMyw2ICsyMDYsNyBAQCBkb25lX2ZpbGVf
c3lzdGVtX3R5cGVzICgpCiAJcGVkX2ZpbGVfc3lzdGVtX3JlaXNlcmZzX2RvbmUgKCk7CiAJcGVk
X2ZpbGVfc3lzdGVtX3Vmc19kb25lICgpOwogCXBlZF9maWxlX3N5c3RlbV94ZnNfZG9uZSAoKTsK
KwlwZWRfZmlsZV9zeXN0ZW1fcmVpc2VyNF9kb25lICgpOwogCXBlZF9maWxlX3N5c3RlbV9hbWln
YV9kb25lICgpOwogCXBlZF9maWxlX3N5c3RlbV9idHJmc19kb25lICgpOwogfQotLSAKMi42LjIK
Cg==
--001a11422968b781bc05265e5de9--




Acknowledgement sent to Jose R R <jose.r.r@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-parted@HIDDEN. Full text available.
Report forwarded to bug-parted@HIDDEN:
bug#22113; Package parted. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 11 Dec 2015 01:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.